Page MenuHomePhabricator

Add owner title variable for Flow AbuseFilter
Closed, ResolvedPublic

Description

@Trizek-WMF requested (on behalf of a community) that Flow's AbuseFilter integration allow blocking a particular user from participating on a talk page, or any topic within it.

Although we have title variables, this can not currently be met, since when posting a reply to an existing topic, the AbuseFilter rules don't have access to the talk page/board title.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterAdd owner titles to abuse filters

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 30 2017, 2:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 345492 had a related patch set uploaded (by Mattflaschen):
[mediawiki/extensions/Flow@master] Add owner titles to abuse filters

https://gerrit.wikimedia.org/r/345492

Change 345492 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add owner titles to abuse filters

https://gerrit.wikimedia.org/r/345492

Etonkovidova added a subscriber: Etonkovidova.EditedMay 20 2017, 12:18 PM

Checked in betalabs: triggering Abuse filter actions for Flow board name, a topic title, a summary, a board description, and a post will create the following records in Special:AbuseLog:

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.May 27 2017, 12:01 AM